Bug 1031551 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000001 [NEEDINFO]
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000001
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:77dbe1a38dcaab2a22b20deb0c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 04:37 EST by 747500
Modified: 2014-03-10 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: needinfo?


Attachments (Terms of Use)
File: dmesg (68.98 KB, text/plain)
2013-11-18 04:38 EST, 747500
no flags Details

  None (edit)
Description 747500 2013-11-18 04:37:57 EST
Additional info:
reporter:       libreport-2.1.9
BUG: unable to handle kernel NULL pointer dereference at 0000000000000001
IP: [<ffffffff812a8bb7>] rangetr_cmp+0x7/0x20
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: hidp fuse ebtable_nat ip6t_ipv6header nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_security iptable_raw nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep binfmt_misc snd_hda_codec_hdmi x86_pkg_temp_thermal arc4 ath9k ath9k_common ath9k_hw iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant coretemp ath mac80211 snd_hda_intel cfg80211 uvcvideo videobuf2_vmalloc snd_hda_codec appledisplay snd_hwdep atl1c videobuf2_memops videobuf2_core snd_seq snd_seq_device videodev btusb snd_pcm media ideapad_laptop kvm_intel kvm i2c_i801 snd_page_alloc snd_timer snd lpc_ich mfd_core mei_me shpchp crc32_pclmul crc32c_intel ghash_clmulni_intel bluetooth joydev serio_raw sparse_keymap rfkill soundcore mei microcode mperf uinput radeon i915 i2c_algo_bit ttm drm_kms_helper drm i2c_core video
CPU: 3 PID: 1541 Comm: dbus-daemon Not tainted 3.11.4-201.fc19.x86_64 #1
Hardware name: LENOVO 20079                           /Base Board Product Name, BIOS 40CN23WW(V2.09) 06/20/2011
task: ffff880134742620 ti: ffff880109b5a000 task.ti: ffff880109b5a000
RIP: 0010:[<ffffffff812a8bb7>]  [<ffffffff812a8bb7>] rangetr_cmp+0x7/0x20
RSP: 0018:ffff880109b5bd48  EFLAGS: 00010286
RAX: 0000000000000492 RBX: ffff880137a00000 RCX: 0000000000000010
RDX: 0000000000000001 RSI: ffff880109b5bd84 RDI: ffff880138ca8da0
RBP: ffff880109b5bd68 R08: ffff880109b5be18 R09: 0000000000000001
R10: 000000000000125f R11: 0000000000000246 R12: ffff880138ca8da0
R13: ffff880109b5bd84 R14: 0000000000000017 R15: 0000000000000017
FS:  00007f0c66191840(0000) GS:ffff88013fac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000001 CR3: 000000010994c000 CR4: 00000000000407e0
Stack:
 ffffffff812a68b7 ffff880109b5be18 ffff8800370f0368 ffff8800370f0368
 ffff880109b5bdb8 ffffffff812b3b8e 0000001700000001 000004920000000c
 0000001700000492 0000000000000492 0000000000000010 ffff8800370f0368
Call Trace:
 [<ffffffff812a68b7>] ? hashtab_search+0x47/0x80
 [<ffffffff812b3b8e>] mls_compute_sid+0xde/0x290
 [<ffffffff812ad6f2>] security_compute_sid.part.14+0x292/0x530
 [<ffffffff8129b927>] ? selinux_socket_getpeersec_stream+0x87/0xd0
 [<ffffffff812ad9de>] security_compute_sid+0x4e/0x50
 [<ffffffff812af91d>] security_transition_sid+0x2d/0x40
 [<ffffffff8129eb28>] selinux_socket_create+0x138/0x190
 [<ffffffff81298986>] security_socket_create+0x16/0x20
 [<ffffffff815335a8>] __sock_create+0x68/0x260
 [<ffffffff81534c32>] SyS_socket+0x52/0xc0
 [<ffffffff81656a19>] system_call_fastpath+0x16/0x1b
Code: 8b 77 08 89 72 08 48 83 00 04 48 83 68 08 04 48 89 c6 48 89 cf e8 fa fd ff ff 5d c3 0f 1f 84 00 00 00 00 00 66 66 66 66 90 8b 06 <2b> 02 55 48 89 e5 75 0e 8b 46 04 2b 42 04 75 06 8b 46 08 2b 42 
RIP  [<ffffffff812a8bb7>] rangetr_cmp+0x7/0x20
 RSP <ffff880109b5bd48>
CR2: 0000000000000001
Comment 1 747500 2013-11-18 04:38:15 EST
Created attachment 825444 [details]
File: dmesg
Comment 2 Josh Boyer 2013-11-18 10:19:29 EST
This looks like a single bit flip.  Have you been able to recreate this?  If so, what steps do you take?
Comment 3 Justin M. Forbes 2014-03-10 10:42:44 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.